Crystal Space: csScreenShot Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csScreenShot Class Reference
[Common Plugin Classes]

Simple iImage implementation for canvas screenshots. More...

`#include <csplugincommon/canvas/scrshot.h>`

Inheritance diagram for csScreenShot:

[legend]
List of all members.

## Public Member Functions
| csScreenShot (iGraphics2D *G2D)
| Initialize the screenshot object.
virtual int | GetFormat () const
| Qyery image format (see CS_IMGFMT_XXX above).
virtual int | GetHeight () const
| Query image height.
virtual const void * | GetImageData ()
| Get a pointer to image data.
virtual const csRGBpixel * | GetPalette ()
| Get image palette (or 0 if no palette).
virtual int | GetWidth () const
| Query image width.
virtual | ~csScreenShot ()
| Destroy the screenshot object.

## Detailed Description

Simple iImage implementation for canvas screenshots.

Definition at line 38 of file scrshot.h.

## Constructor & Destructor Documentation

csScreenShot::csScreenShot | ( | iGraphics2D * | G2D | ) |

Initialize the screenshot object.

virtual csScreenShot::~csScreenShot | ( |  | ) | `[virtual]`

Destroy the screenshot object.

## Member Function Documentation

virtual int csScreenShot::GetFormat | ( |  | ) | const`[inline, virtual]`

Qyery image format (see CS_IMGFMT_XXX above).

Implements iImage.

Definition at line 61 of file scrshot.h.

virtual int csScreenShot::GetHeight | ( |  | ) | const`[inline, virtual]`

Query image height.

Implements iImage.

Definition at line 58 of file scrshot.h.

virtual const void* csScreenShot::GetImageData | ( |  | ) | `[inline, virtual]`

Get a pointer to image data.

Implements iImage.

Definition at line 52 of file scrshot.h.

virtual const csRGBpixel* csScreenShot::GetPalette | ( |  | ) | `[inline, virtual]`

Get image palette (or 0 if no palette).

Reimplemented from csImageBase.

Definition at line 64 of file scrshot.h.

virtual int csScreenShot::GetWidth | ( |  | ) | const`[inline, virtual]`

Query image width.

Implements iImage.

Definition at line 55 of file scrshot.h.

The documentation for this class was generated from the following file:

- csplugincommon/canvas/scrshot.h